LibOFX: OfxDummyContainer Class Reference

LibOFX

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
OfxDummyContainer Class Reference

A container to holds OFX SGML elements that LibOFX knows nothing about. More...

Inheritance diagram for OfxDummyContainer:

## Public Member Functions
| OfxDummyContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object. More...
| OfxDummyContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object. More...
Public Member Functions inherited from OfxGenericContainer
| OfxGenericContainer (LibofxContext *p_libofx_context)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
virtual int | gen_event ()
| Generate libofx.h events. More...
virtual int | add_to_main_tree ()
| Add this container to the main tree. More...
OfxGenericContainer * | getparent ()
| Returns the parent container object (the one representing the containing OFX SGML element)
| OfxGenericContainer (LibofxContext *p_libofx_context)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
virtual int | gen_event ()
| Generate libofx.h events. More...
virtual int | add_to_main_tree ()
| Add this container to the main tree. More...
OfxGenericContainer * | getparent ()
| Returns the parent container object (the one representing the containing OFX SGML element)

## Additional Inherited Members
Data Fields inherited from OfxGenericContainer
string | type
string | tag_identifier
OfxGenericContainer * | parentcontainer
LibofxContext * | libofx_context

## Detailed Description

A container to holds OFX SGML elements that LibOFX knows nothing about.

The OfxDummyContainer is used for elements (not data elements) that are not recognised. Note that recognised objects may very well be a children of an OfxDummyContainer.

Definition at line 76 of file ofx_containers.hh.

## Member Function Documentation

void OfxDummyContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) |  |
| virtual

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters

  identifier | The name of the data element
  value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

Definition at line 47 of file ofx_containers_misc.cpp.

void OfxDummyContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) |  |
| virtual

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters

  identifier | The name of the data element
  value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

The documentation for this class was generated from the following files:

- ofx_containers.hh
- ofx_containers_misc.cpp